Campaigns

Select or clear review rows

PATCH
/api/campaigns/import/sessions/{importId}/rows/selection

Selects or clears up to 500 rows by id and returns the recounted review. Only a ready review can change (409 CSV_IMPORT_SESSION_NOT_READY). A request that names a row of a group that cannot be selected (protected, duplicate, invalid, outside_segments) is refused as a whole with 409 CSV_ROW_NOT_SELECTABLE.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

importId*string

The CSV review session id returned by the upload.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/campaigns/import/sessions/string/rows/selection" \  -H "Content-Type: application/json" \  -d '{    "rowIds": [      "6710b2c4e8a1d4e001a0b2e5"    ],    "selected": false  }'
{  "success": true,  "data": {    "importId": "6710b2c4e8a1d4e001a0b2e0",    "status": "ready",    "fileName": "contacts.csv",    "totalRows": 3,    "analyzedRows": 3,    "counts": {      "new": {        "total": 1,        "selected": 1      },      "existing": {        "total": 0,        "selected": 0      },      "outbound": {        "total": 1,        "selected": 1      },      "inbound": {        "total": 0,        "selected": 0      },      "other_users": {        "total": 0,        "selected": 0      },      "protected": {        "total": 0,        "selected": 0      },      "duplicate": {        "total": 1,        "selected": 0      },      "invalid": {        "total": 0,        "selected": 0      },      "outside_segments": {        "total": 0,        "selected": 0      }    },    "segmentSelected": {},    "selectedTotal": 2,    "campaignId": null,    "error": null,    "updated": 0  }}